Cometí un error al configurar mi editor central, ahora no puedo cambiarlo ... intenté que cambiara a TextMate y lo cambiara correctamente a sublime, pero sigo recibiendo el mismo error que se ve a continuación ... ¿Cómo puedo solucionarlo? ¿esta? Realmente solo quiero que mi editor principal sea TextMate.

Ryans-MacBook-Pro:~ RFreude$ git config --global core.editor "subl -n -w"

Ryans-MacBook-Pro:~ RFreude$ git config --global -e

texto sublime 3 -w: sublime: comando no encontrado

error: hubo un problema con el editor 'texto sublime 3 -w'. "

¡Gracias!

git
0
Ryan Freude 15 dic. 2016 a las 22:22

2 respuestas

La mejor respuesta

Como dijiste que el enlace está roto, puedes intentar crear el enlace simbólico nuevamente usando:

ln -s "/Applications/Sublime Text.app/Contents/SharedSupport/bin/subl" /usr/local/bin/subl

Más detalles aquí

1
Rashmirathi 15 dic. 2016 a las 21:21

Es posible que desee revertir esa edición usando

➜  git config --global core.editor "vim"       

Y comprueba si eso funciona bien

➜  git config --global --edit 
0
Naman 15 dic. 2016 a las 20:04